[
  {
    "label": "Run Emulator",
    "command": "cargo run --bin emulator",
    "use_new_terminal": true,
  },
  {
    "label": "Run Compiler",
    "command": "cargo run --bin compiler",
    "use_new_terminal": true,
  },
  {
    "label": "Run Assembler",
    "command": "cargo run --bin assembler",
    "use_new_terminal": true,
  },
  {
    "label": "Run Build System (dsx-build)",
    "command": "cargo run --bin dsx-build",
    "use_new_terminal": true,
  },
  {
    "label": "Check All",
    "command": "cargo clippy --all-targets",
    "use_new_terminal": false,
  },
  {
    "label": "Build All (Release)",
    "command": "cargo build --release",
    "use_new_terminal": false,
  },
  {
    "label": "Publish Arch Package",
    "command": "sh resources/publish.sh",
  },
  {
    "label": "Run Tests",
    "command": "cargo test",
    "use_new_terminal": true,
  },
  {
    "label": "Profile Emulator with perf",
    "command": "cargo build --profile profiling; perf record -g -F 999 target/profiling/emulator; perf script -F +pid | save test.perf",
    "use_new_terminal": true,
  },
]
